## org.eclipse.emf.databinding.edit
Interface IEMFEditObservable

All Superinterfaces:
  IEMFObservable, IObserving

All Known Implementing Classes:
  EMFEditObservableListDecorator, EMFEditObservableMapDecorator, EMFEditObservableSetDecorator, EMFEditObservableValueDecorator

    public interface IEMFEditObservable

extends IEMFObservable

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Provides access to details of `EObject` observables.

This interface is not meant to be implemented by clients.

Since:
  2.5

Method Summary
`EditingDomain` `getEditingDomain()`

Methods inherited from interface org.eclipse.emf.databinding.IEMFObservable
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.observable.IObserving
`getObserved`

Method Detail

### getEditingDomain

    EditingDomain getEditingDomain()

  Returns:
    the editing domain to execute commands

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.